#
# spec file for package digikam (Version 0.8.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils doxygen e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel giflib giflib-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal imlib2 imlib2-devel info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc kdesdk3-translate klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libexif libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libgphoto2 libgphoto2-devel libidn libidn-devel libjpeg libjpeg-devel libkexif libkipi libkipi-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libusb libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig pm-utils pmtools popt post-build-checks procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm sed sgml-skel sqlite sqlite-devel sqlite2 sqlite2-devel strace sudo sysvinit tar tcpd texinfo timezone udev unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           digikam
BuildRequires:  doxygen giflib-devel imlib2-devel kdelibs3-devel kdesdk3-translate libkexif libkipi-devel sqlite-devel sqlite2-devel
%if %suse_version > 1010
BuildRequires:  libgphoto2-devel
%else
BuildRequires:  libgphoto2
%endif
%if %suse_version < 1010
BuildRequires:  libtiff-devel
%endif
License:        GPL v2 or later
Group:          Hardware/Other
Summary:        A KDE Photo Manager
Version:        0.8.2
Release:        40.6
%define rversion %version
Url:            http://www.digikam.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{rversion}.tar.bz2
Source1:        service.desktop
Patch1:         external-sqlite.diff
Patch4:         digikam-gphoto-disk.patch
Patch5:         digikam-load.diff
Patch7:         digikam-print.diff
Patch8:         albumiconview.cpp.patch
Patch9:         renamepreview.patch
Patch10:        fix-for-old-dcraw.diff
Patch11:        digikam-fix-loss-on-download.diff
Requires:       imlib2-loaders

%description
digiKam is a simple digital photo management application for KDE, which
makes importing and organizing digital photos easy. The photos can be
organized in albums, which can be sorted chronologically, by directory
layout, or by custom collections. An easy-to-use interface is provided
that enables you to connect to your camera and preview, download, and
delete your images.



Authors:
--------
    Renchi Raju <renchi@green.tam.uiuc.edu>

%debug_package
%prep 
%setup -q -n %name-%rversion
%if %suse_version > 900
rm -rf digikam/sqlite
%patch1
%endif
%patch4 -p1
%patch5 -p0
%patch7 -p0
%patch8
%patch9
%patch10
%patch11
. /etc/opt/kde3/common_options
update_admin --no-unsermake

%build
. /etc/opt/kde3/common_options
export PKG_CONFIG_PATH=/opt/kde3/%_lib/pkgconfig
./configure $configkde --disable-final
make VERBOSE=1 %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
kde_post_install
%if %suse_version > 1000
%suse_update_desktop_file digikam  Graphics Photography
%else
%suse_update_desktop_file digikam  Graphics Photograph
%endif
%suse_update_desktop_file showfoto Graphics Viewer
echo "NoDisplay=true" >> $RPM_BUILD_ROOT/opt/kde3/share/applications/kde/showfoto.desktop
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/apps/konqueror/servicemenus
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/opt/kde3/share/apps/konqueror/servicemenus/open_in_digikam.desktop
%suse_update_desktop_file $RPM_BUILD_ROOT/opt/kde3/share/apps/konqueror/servicemenus/open_in_digikam.desktop
%find_lang %name

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
/opt/kde3/bin/*
/opt/kde3/%_lib/*
/opt/kde3/share/appl*/*/*.desktop
/opt/kde3/share/apps/*
/opt/kde3/share/icons/*
/opt/kde3/include/digikam
/opt/kde3/include/digikam_export.h
/opt/kde3/share/services/*
/opt/kde3/share/servicetypes/digikamimageplugin.desktop
%dir /opt/kde3/share/doc/HTML/en/digikam-%version-apidocs

%changelog
* Thu Sep 25 2008 - wstephenson@suse.de
- Fix race condition when downloading photos (bnc#418199)
* Fri Feb 02 2007 - dmueller@suse.de
- remove unimplemented options from dcraw call (#235050)
* Sat Nov 04 2006 - stbinner@suse.de
- fix build for < 10.1
* Fri Nov 03 2006 - llunak@suse.cz
- fix preview in rename dialog when downloading
  from camera (#188108)
* Thu Nov 02 2006 - stbinner@suse.de
- fix crash when right-clicking in empty main window (#216511)
* Sat Oct 21 2006 - meissner@suse.de
- buildrequires libgphoto2-devel
* Wed Sep 13 2006 - stbinner@suse.de
- fix build for 10.0
* Wed Jul 19 2006 - dmueller@suse.de
- update to 0.8.2.
  * add missing Rating info in album item file tip and image
  properties dialog
  * display JPEG that use CMYK color space
  * Rating image using keyboard shortcuts CTRL+0/1/2/3/4/5 from
  main interface
  * Buttons to set the album date to oldest, yougest of the
  images in the album
* Mon May 22 2006 - stbinner@suse.de
- no x-raw.desktop in STABLE, is now contained in kdelibs 3.5.2
* Wed Mar 22 2006 - stbinner@suse.de
- no x-raw.desktop in PLUS, is now contained in kdelibs 3.5.2
* Tue Feb 28 2006 - coolo@suse.de
- fix the print of filename (as indicated by compiler warning and
  [#153544])
* Mon Feb 13 2006 - stbinner@suse.de
- add upstream patch to fix problems on ppc (KDE #121646)
* Mon Feb 06 2006 - stbinner@suse.de
- fix build
* Mon Feb 06 2006 - coolo@suse.de
- grap fix from KDE SVN to fix severe problem with search for images
  (KDE bugs 120479 and 120775)
* Tue Jan 31 2006 - coolo@suse.de
- fix gphoto2 cameras
* Thu Jan 26 2006 - meissner@suse.de
- Upgraded to 0.8.1.
	- image rating
	- 8 bit raw support added
	- copy & paste support (between albums or between digikam + konqi)
	- new dcop interface to control opening the camera dialog
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - coolo@suse.de
- give digikam as option in the media popup
* Wed Dec 21 2005 - dmueller@suse.de
- fix file list
* Mon Nov 28 2005 - stbinner@suse.de
- update to version 0.8
* Sat Nov 19 2005 - stbinner@suse.de
- keep old xdg menu category for build on older distribution
* Thu Nov 17 2005 - stbinner@suse.de
- fix build on 9.1 and 9.2
* Thu Sep 29 2005 - stbinner@suse.de
- fix "Photograph" to correct "Photography" xdg menu category
* Fri Aug 19 2005 - adrian@suse.de
- update to version 0.7.4
  * translation updates
* Fri Aug 19 2005 - coolo@suse.de
- fix file list for icons
* Wed Aug 17 2005 - meissner@suse.de
- do not overwrite ports with "usb:" everytime.
* Sat Jul 23 2005 - dmueller@suse.de
- fix filelist
* Thu Jul 21 2005 - dmueller@suse.de
- 0.7.3 final update
- removed -fvisibility=hidden support as it exposes a compiler bug
  on x86_64 and ppc64
* Mon May 23 2005 - adrian@suse.de
- update to version 0.7.3 beta 2
* Mon Mar 14 2005 - adrian@suse.de
- fix build for 9.2 distribution
* Sat Mar 05 2005 - adrian@suse.de
- fix build
* Thu Mar 03 2005 - adrian@suse.de
- update to version 0.7.2 final
- hide showfoto dialog for now, we use gwenview as default picture
  viewer
* Fri Feb 11 2005 - adrian@suse.de
- remove some debug output
* Wed Feb 09 2005 - adrian@suse.de
- update to version 0.7.2beta1
* Tue Jan 04 2005 - adrian@suse.de
- update to version 0.7.1
* Mon Nov 29 2004 - adrian@suse.de
- use sqlite2 compat packages
* Wed Nov 17 2004 - adrian@suse.de
- use the new native digikam icon again
* Mon Nov 15 2004 - adrian@suse.de
- use internal sqlite for < SuSE 9.1
* Mon Nov 08 2004 - adrian@suse.de
- update to version 0.7 final
* Sun Oct 24 2004 - adrian@suse.de
- add libkipi-devel to nfb
* Wed Oct 20 2004 - adrian@suse.de
- update to version 0.7 beta 1
* Mon Sep 27 2004 - adrian@suse.de
- add Requires: imlib2-loaders or the editor is unable to load a
  picture (#46002)
* Mon Sep 20 2004 - adrian@suse.de
- update to current cvs
- use the core camera icon, it does fit better to crystal icons
* Fri Sep 10 2004 - adrian@suse.de
- update to current cvs
* Thu Jul 29 2004 - adrian@suse.de
- update to current snapshot (pre-0.7 version)
  * enable kipi support
- patch to use external sqlite lib
* Mon Jun 21 2004 - adrian@suse.de
- update to version 0.6.2
* Wed Jun 16 2004 - adrian@suse.de
- add requires to dcraw for > 9.1
  A plugin needs it.
* Wed Apr 21 2004 - coolo@suse.de
- build everything without unsermake
* Sun Apr 18 2004 - coolo@suse.de
- return in non-void function
* Thu Apr 15 2004 - coolo@suse.de
- build without unsermake
* Thu Apr 08 2004 - adrian@suse.de
- fix path to k3b
- remove mpeg plugin, we miss the tools anyway
* Sun Apr 04 2004 - adrian@suse.de
- add patch by Andi Kleen to create a "Pictures" directory,
  instead of confusing the user.
* Thu Apr 01 2004 - coolo@suse.de
- readding icons (#37369)
* Mon Mar 22 2004 - adrian@suse.de
- fixing german translation (#36674)
* Sun Feb 29 2004 - ro@suse.de
- different approach to remove buildroot traces
* Tue Feb 17 2004 - adrian@suse.de
- fix Categories
* Tue Feb 10 2004 - adrian@suse.de
- update to version 0.6 final
* Wed Feb 04 2004 - adrian@suse.de
- fix build
* Mon Feb 02 2004 - adrian@suse.de
- update to version 0.6.0rc2
- add digikamplugins to package
* Tue Jan 13 2004 - coolo@suse.de
- fixing Makefile problems
* Tue Dec 30 2003 - adrian@suse.de
- install default icons in crystalsvg
* Wed Oct 15 2003 - meissner@suse.de
- Upgraded to current 0.6.0 CVS, "all known bugs fixed" [tm]
- Do not build as root.
* Tue Sep 23 2003 - meissner@suse.de
- fixed crash on corrupt JPEG, #31180.
* Thu Sep 18 2003 - varkoly@suse.de
- update hungarian translation
* Tue Sep 16 2003 - adrian@suse.de
- update czech translation
* Tue Sep 09 2003 - adrian@suse.de
- add hungarian translation from Peter Varkoly
* Mon Sep 08 2003 - adrian@suse.de
- use a nicer icon
* Wed Aug 13 2003 - adrian@suse.de
- add czech translation from Klara Cihlarova
* Mon Jul 28 2003 - adrian@suse.de
- add %%run_ldconfig
* Mon Jul 28 2003 - adrian@suse.de
- Add Categories
* Thu Jun 12 2003 - coolo@suse.de
- use find_lang
- package icons directories too
- use $INSTALL_TARGET
* Mon Jun 02 2003 - meissner@suse.de
- Upgraded to pre 0.6, packaged the rest of the files,
  adapted neededforbuild.
* Thu Sep 19 2002 - adrian@suse.de
- enable the build again and update to 0.5.1 (KDE 3 port)
* Tue Feb 26 2002 - ro@suse.de
- added libexif to neededforbuild
* Mon Feb 04 2002 - ro@suse.de
- try forward port to current gphoto2
* Sat Jan 19 2002 - adrian@suse.de
- update to version 0.4
* Sat Jan 05 2002 - adrian@suse.de
- update to final 0.3
* Thu Jan 03 2002 - adrian@suse.de
- update to version 0.3_beta1
* Sat Dec 29 2001 - adrian@suse.de
- initial packaging
